MetaData
---
Date: 2024-01-13
Time: 16:23
Tags: #organization
Item Info
---
Wiki: https://wiki.strixhab.net/HBW/Eirus/Marcandria/Factions/Meranzeum
Name: The Meranzeum
Location:[[]]
Owner: [[]]
Motto, Ideal: **liberty, knowledge, exceptionalism, commerce, and trade**
Members: 
[[Peneli Navara]]
[[Eraclide Laran]]
[[Lissanta Baronti]]
[[Euphemia]]

Description
---

